﻿.navbar-fixed {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1050;
    background-color: #fff;
    box-shadow: 0 2px 10px rgba(0,0,0,.08);
}

/* Başlangıçta filtre aktif */
.navbar-dark .navbar-brand {
    -webkit-filter: brightness(0) invert(1);
    filter: brightness(0) invert(1);
    transition: filter .35s ease, -webkit-filter .35s ease;
}

.navbar {
    z-index: 1060;
}

/* Başlangıç hali */
.js-navbar {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    transition: background-color .35s ease, box-shadow .35s ease, padding .35s ease;
    margin-top: 45px;
    z-index: 1050;
    height: 85px;
}

    /* Scroll sonrası */
    .js-navbar.is-fixed {
        position: fixed;
        background-color: #ffffff !important;
        box-shadow: 0 6px 30px rgba(0, 0, 0, .08);
        padding: 12px 0;
        margin-top: 0px;
    }

    /* Logo animasyonu */
    .js-navbar .navbar-brand-img {
        transition: height .35s ease;
    }

    /* Scroll sonrası logo küçülür */
    .js-navbar.is-fixed .navbar-brand-img {
        height: 35px !important;
    }

    /* Menü linkleri */
    .js-navbar .nav-link {
        transition: color .3s ease;
    }
    /* Scroll sonrası filtreyi kaldır */
    .js-navbar.is-fixed .navbar-brand {
        -webkit-filter: none;
        filter: none;
    }

.nav-link {
    position: relative;
}

    .nav-link::after {
        content: "";
        position: absolute;
        left: 50%;
        bottom: 0px;
        width: 0;
        height: 2px;
        background-color: currentColor;
        transition: all .3s ease;
        transform: translateX(-50%);
    }

    .nav-link:hover::after {
        width: 60%;
    }

.js-navbar.is-fixed .nav-link {
    color: #0b2d5c;
}

    .js-navbar.is-fixed .nav-link:hover {
        color: #090761 !important;
    }

        .js-navbar.is-fixed .nav-link:hover::after {
            width: 60%;
            color: #090761 !important;
        }

@media (max-width: 1199px) {
    .js-navbar {
        padding: 14px 0;
        margin-top: 0px;
    }
}
